**Figure:** GW190814 outlier analysis

##### Data

The data used to create the following plot is from the population analyses from [`GWPopulation`](https://github.com/ColmTalbot/gwpopulation). The output [population](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples) and [event](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Event_Samples) samples files are passed to `gwpopulation_pipe_to_common_format` to generate the following files which contain ppd samples drawn from the observed distribution.

* o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior_draw_45_events_excludes_190814.hdf5 - Power law + Peak (from ppd without GW190814)
* o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior_draw_45_events_all_events.hdf5 - Power law + Peak (from ppd with all events)

The commands used the generate the files were:

```bash
gwpopulation_pipe_to_common_format
                                   --result-file ../../Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json
                                   --samples-file ../../Event_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_samples.hdf5
                                   --models SmoothedMassDistribution --models iid_spin_magnitude --models iid_spin_orientation --models gwpopulation.models.redshift.PowerLawRedshift
                                   --vt-models SmoothedMassDistribution --vt-models gwpopulation.models.redshift.PowerLawRedshift
                                   --injection-file /home/colm.talbot/O3/population/review/o1_o2_o3a_vt_data_aligned_low_spin.hdf5
                                   --filename o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior_draw_45_events_excludes_190814.hdf5 --n-events 45
```

```bash
gwpopulation_pipe_to_common_format 
				   --result-file ../../Population_Samples/all_events/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json 
				   --samples-file ../../Event_Samples/all_events/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_samples.hdf5 
				   --models SmoothedMassDistribution --models iid_spin_magnitude --models iid_spin_orientation --models gwpopulation.models.redshift.PowerLawRedshift 
				   --vt-models SmoothedMassDistribution --vt-models gwpopulation.models.redshift.PowerLawRedshift 
				   --injection-file /home/colm.talbot/O3/population/review/o1_o2_o3a_vt_data_aligned_low_spin.hdf5 
				   --filename o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior_draw_45_events_all_events.hdf5
```


The following files contain the ppd samples drawn from the astrophysical distribution using the following post-processing script, [draw_ppd_samples.py](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Scripts/draw_ppd_samples.py).

* o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_ppd_45_event_samples_all_events.json 
* o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_ppd_45_event_samples_excludes_190814.json

The commands used the generate the files were:

```bash
python draw_ppd_samples.py --n-events 45 --result-file ../../Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json --label excludes_190814
```

```bash
python draw_ppd_samples.py --n-events 45 --result-file ../../Population_Samples/all_events/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json --label all_events
```


##### Reading and plotting data

An example plotting script showing how to read and plot the data is provided:

```bash
python plot_component_mass_ppd_min_m2.py

```

This produces the following figures: a) [m1m2_powerlaw_peak.png](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Fig-21-GW190814-outlier-analysis/m1m2_powerlaw_peak.png) and b) [min_m2_powerlaw_peak_weighted.png](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Fig-21-GW190814-outlier-analysis/min_m2_powerlaw_peak_weighted.png)

